<?php $pageTitle='Create a shipment';
include realpath(__DIR__).'/../../core/_common/header.php'; 
$sharedProject=project::getByName(project::SHARED);
$sharedProjectId=$sharedProject['id'];
$canCreateShipments=session::isAdmin() || usergroup::userisingroup(usergroup::SHIPPERS);
?>
<script type="text/javascript">

document.observe("dom:loaded",function(){
	var grid=ui.grid();
	var detailsBox=grid.box({ 
		classes:'r1 c1 h3 w1',
		title:'Details'
	});
	var frm=detailsBox.form({
		action:'/api/shipment/',
		method:'post',
	});
	frm.hiddenField('projectid',<?php echo $sharedProjectId; ?>);
	frm.hiddenField('dewarbarcodes',"<?php echo isset($_GET['dewars']) ? $_GET['dewars'] :''; ?>");
	frm.textField({ label:"Name", name:'name', value:'' });
	frm.roleField({ 
		label:"Destination", 
		name:'shipmentdestinationid', 
		otherType:'shipmentdestination',
		labelField:'name',
		headers:['Name'],
		cellTemplates:['{{name}}']
	});
	frm.createButton();

	var betaBox=grid.box({ 
		classes:'r1 c2 h1 w2',
		title:'Shipment beta',
		content:'<p>The crystal shipping functionality is still being tested.</p><p>At the moment, only shipments to Diamond Light Source are supported.</p><p>You should carefully check any shipments submitted using these pages to ensure that they are correct at the synchrotron.</p>' 
	});
	betaBox.style.background="#fcc";


});
</script>
<?php include realpath(__DIR__).'/../../core/_common/footer.php'; ?>
