<?php $pageTitle='Crystal: '.$data['name'];
$sharedProject=project::getByName(project::SHARED);
$sharedProjectId=$sharedProject['id'];
$breadcrumbs=array(
    array('url'=>'/project/'.$data['projectid'], 'icon'=>'project', 'help'=>'Go to this plate\'s project'),
    array('url'=>'/plate/'.$data['plateid'], 'icon'=>'plate', 'help'=>'Go to this plate')
);
include realpath(__DIR__).'/../../core/_common/header.php';
?>
<script type="text/javascript">

document.observe("dom:loaded",function(){
	var grid=ui.grid();
	var detailsBox=grid.box({ 
		id:'crystaldetails',
		classes:'r1 c1 h3 w1',
		title:'Crystal'
	});

	detailsBox.innerHTML+='<div id="dropimage" style="position:relative"><img src="/dropimagefile/'+data.dropimageid+'" style="width:100%" /></div>';

	new Ajax.Request('/api/dropimage/'+data.dropimageid, {
		method:'get',
		onFailure:function(transport){ /* meh */},
		onSuccess:function(transport){
			detailsBox.addClassName("dropviewer");
			$("dropimage").innerHTML+='<div id="xs_crosshair" class="xs_crosshair">'+
			'<div class="xs_cross" style="cursor:auto"><div class="xs_crossx"></div><div class="xs_crossy"></div></div>'+
			'<div class="xs_ring" style="cursor:auto"></div>'+
			'</div>';
			$("xs_crosshair").style.display="block";
			$("xs_crosshair").style.cursor="auto";
			var scale=$("dropimage").down("img").getWidth()/transport.responseJSON.pixelwidth;
			$("xs_crosshair").style.top=( scale*data.pixely - ($("xs_crosshair").getHeight()/2))+"px";
			$("xs_crosshair").style.left=( scale*data.pixelx - ($("xs_crosshair").getWidth()/2))+"px";
		}
	});
	
	var frm=detailsBox.form({
		action:'/api/crystal/'+data['id'],
		method:'patch',
	});
	frm.formField({ readOnly:true, label:"&nbsp;", content:'<a href="/imagingsession/'+data.imagingsessionid+'#'+(data.welldropname.split('_'))[1]+'c'+data.numberindrop+'">Show in drop viewer</a>' });
	frm.formField({ readOnly:true, label:"Plate", content:'<a href="/plate/'+data.plateid+'">'+data.platename+'</a>' });
	/*
	frm.textField({ label:"Name", name:'name' });
	frm.textField({ label:"Unit cell a", name:'unitcella' });
	frm.textField({ label:"Unit cell b", name:'unitcellb' });
	frm.textField({ label:"Unit cell c", name:'unitcellc' });
	frm.textField({ label:"Unit cell &alpha;", name:'unitcellalpha' });
	frm.textField({ label:"Unit cell &beta;",  name:'unitcellbeta'  });
	frm.textField({ label:"Unit cell &gamma;", name:'unitcellgamma' });
	*/
	var ts=grid.tabSet({ classes:'r1 c2 w2 h3' });

	var proteinTab=Crystal.renderProteinTab(data,ts);
	var dcTab=Crystal.renderDataCollectionsTab(data,ts);
	
	ts.filesTab();
	ts.notesTab();
		
});
</script>
<?php include realpath(__DIR__).'/../../core/_common/footer.php'; ?>
